# $Author: jeffr $
# $Date: 2022-07-02 13:22:58 -0400 (Sat, 02 Jul 2022) $
# $Revision: 11 $

BEGIN {
	FS=" "
}


{
	switch ($3) {
		case "January":   month = "01" ; break
		case "February":  month = "02" ; break
		case "March":     month = "03" ; break
		case "April":     month = "04" ; break
		case "May":       month = "05" ; break
		case "June":      month = "06" ; break
		case "July":      month = "07" ; break
		case "August":    month = "08" ; break
		case "September": month = "09" ; break
		case "October":   month = "10" ; break
		case "November":  month = "11" ; break
		case "December":  month = "12" ; break
		default:          month = "??"
	}

	if (length($4) < 2)
		$4 = "0" $4
		
	gsub("h", "", $6)

	if (length($6) < 2)
		$6 = "0" $6

	gsub("m", "", $7)

	if (rs == "rises" && $1 == "rises")
		print month "/" $4 "/" $2 ", " $6 ":" $7 " " $9

	if (rs == "sets" && $1 == "sets")
		print " " $6 ":" $7 " " $9
}

END {

}
